English

Error: Failed to connect to the specified server

Solution or Workaround

Error Message

One of these messages occur when setting up an SDE connection to an ArcSDE 8.x server from ArcGIS Desktop:

"Failed to connect to the specified server. This release of the GeoDatabase is either invalid or out of date (Run gdbs.exe create)"

"Failed to connect to the specified server. This release of the GeoDatabase is either invalid or out of date. [Run the ArcSDE setup utility using the -o upgrade option.]"

Cause

ArcGIS can only see ArcSDE servers that have the GeoDatabase tables created and that have a compatible version of the GeoDatabase. Older versions of ArcSDE client software are generally not forward compatible with newer full releases of the GeoDatabase and the ArcSDE server.

Solution

Make sure the client application is compatible with the version of ArcSDE that is being connected to. See the documentation included with the software or contact ESRI's Technical Support.

If the client and server applications are compatible:

· ArcSDE 8.0.x:
Have the ArcSDE administrator run the gdbs executable:

%SDEHOME%/tools/gdbs.exe 

· ArcSDE 8.1.x and higher:
Have the ArcSDE administrator run the relevant sdesetup* executable with the upgrade option. These are the available executables:

%SDEHOME%/bin/sdesetupora8i.exe
sdesetupora9i.exe
sdesetupmssql.exe
sdesetupdb2.exe
sdesetupinfx.exe